<?
if (!defined("_GNUBOARD_")) exit;	// 개별 페이지 접근 불가
?>
<link rel="stylesheet" type="text/css" href="<?=$board_skin_path?>/style.comment.css">

<script type="text/javascript">
// 글자수 제한
var char_min = parseInt(<?=$comment_min?>); // 최소
var char_max = parseInt(<?=$comment_max?>); // 최대

function fix_doc_height() {
	$("#ifrmcmmt", parent.document).height(50);

	try{
		if(browser.name == "msie") aHeight	= 20;
		else aHeight = 40;

		$("#ifrmcmmt", parent.document).height($(document).height()+aHeight);
	}catch(e) {
		parent.document.all.ifrmcmmt.style.height	= document.clientHeight;
	}
}

$(document).ready(function() {
	fix_doc_height();
});

function viewComment() {
	if(document.getElementById("commentContents").style.display == "block") return false;

	$('#commentContents').css('display', 'block')

	fix_doc_height();
}
</script>

<!-- 코멘트 리스트 -->
<div id="commentCount"><a href="#" onClick="viewComment(); this.blur()">댓글<span class="comment"> <?=number_format($total_comment_count)?></span></a></div>

<div id="commentContents" class="<?=($cmmtview)?"comment_hide":""?>">
<? //-- 베스트 댓글 ---------------------------------- ?>
<?  for ($i=0; $i<count($best_comment); $i++) :
	$best_comment[$i][datetime] = str_replace("-", ".", $best_comment[$i][datetime]); //-- 날짜 하이픈 -> 점 ?>

	<div class="comment_box">
		<div class="comment_top">
			<div class="cmmt_top_left">
				<img src="<?=$board_skin_path?>/img/icon_best_front.gif"> <?=$best_comment[$i][name]?>
				<span class="datetime"><?=$best_comment[$i][datetime]?></span>
<?				if($is_ip_view) : ?><span class="datetime"><?=$list[$i][ip]?></span><? endif; ?>
				<?=zm_police($tcd, $best_comment[$i][wr_id])?>
			</div>
			<div class="cmmt_top_right">
				<a class="btn_vote" onclick="zm_board_vote('comment', 'good', '<?=$bo_table?>', '<?=$list[$i][wr_id]?>'); this.blur();"><img src="<?=$board_skin_path?>/img/icon_good.gif" border='0' align="absmiddle"> <span id="good_<?=$list[$i][wr_id]?>"><?=$best_comment[$i][wr_good]?></span></a> <? //-- 댓글 추천 ?>
			</div>
		</div>

		<!-- 코멘트 출력 -->
		<div class="comment_bottom">
<?			if (strstr($best_comment[$i][wr_option], "secret")) : ?><div class="cmmt_secret">※ 비밀글 입니다. 권한이 있는 회원에게만 보여집니다.</div><? endif;	//-- 비밀글 표시
			$str	= $best_comment[$i][content];		//-- 댓글 내용

			//-- 내용 필터링
			$str = preg_replace("/\[\<a\s.*href\=\"(http|https|ftp|mms)\:\/\/([^[:space:]]+)\.(mp3|wma|wmv|asf|asx|mpg|mpeg)\".*\<\/a\>\]/i", "<script>doc_write(obj_movie('$1://$2.$3'));</script>", $str);
			$str = preg_replace("/\[\<a\s*href\=\"(http|https|ftp)\:\/\/([^[:space:]]+)\.(gif|png|jpg|jpeg|bmp)\"\s*[^\>]*\>[^\s]*\<\/a\>\]/i", "<img src='$1://$2.$3' id='target_resize_image[]' onclick='image_window(this);' border='0'>", $str);
?>
			<span><?=$str?></span>
		
			
		</div> <? //-- end comment_bottom ?>
	</div> <? //-- end comment_box ?>
<?	endfor; ?>
<? //-- 베스트 댓글 끝 ------------------------------- ?>

<? //-- 댓글 목록 시작 -------------------------------
	$sw	= 0;	//-- 댓글 있음?
	for ($i = 0; $i < count($list); $i++) :
	$sw	= 1;
	$comment_id = $list[$i][wr_id];
	$list[$i][datetime] = str_replace("-", ".", $list[$i][datetime]);
	$reply_blank	= 0;			//-- 댓글 들여쓰기 공간
	$reply_icon		= "";			//-- 리플 아이콘

	for ($k = 0; $k < strlen($list[$i][wr_comment_reply]); $k++) $reply_blank += 12;				//-- 댓글 들여쓰기 공간
	if($reply_blank > 0) $reply_icon = "<img src='$board_skin_path/img/icon_reply.gif'>";		//-- 댓글 아이콘
?>
	<div class="comment_box <?=($reply_blank>0)?"comment_reply":""?>">
		<div class="comment_top">
			<div class="cmmt_top_left">
				<span style="margin-left:<?=$reply_blank?>px;"><?=$reply_icon?><?=($reply_blank>0)?"<span class='upname'>[".$list[$i][up_name]."]</span>":""?><?=$list[$i][name]?></span>
				<span class="datetime"><?=$list[$i][datetime]?></span>
<?				if($is_ip_view) : ?><span class="datetime"><?=$list[$i][ip]?></span><? endif; ?>
				<?=zm_police($tcd, $list[$i][wr_id])?>
			</div>
			<div class="cmmt_top_right">
				<?=$list[$i][zm_comment_good]?>
				<a class="btn_vote" onclick="zm_board_vote('comment', 'good', '<?=$bo_table?>', '<?=$list[$i][wr_id]?>'); this.blur();"><img src="<?=$board_skin_path?>/img/icon_good.gif" border='0' align="absmiddle"> <span id="good_<?=$list[$i][wr_id]?>"><?=$list[$i][wr_good]?></span></a>
			</div>
		</div> <? //-- end comment_top ?>

		<!-- 코멘트 출력 -->
		<div class="comment_bottom">
<?		    if($list[$i][wr_mobile]) : ?><img src='<?=$board_skin_path?>/img/icon_mobile.gif' valign='absmiddle'><? endif;
			if (strstr($list[$i][wr_option], "secret")) : ?><div class="cmmt_secret">※ 비밀글 입니다. 권한이 있는 회원에게만 보여집니다.</div><? endif;
	        $str = $list[$i][content];					//-- 댓글 내용

			//-- 내용 필터링
	        $str = preg_replace("/\[\<a\s.*href\=\"(http|https|ftp|mms)\:\/\/([^[:space:]]+)\.(mp3|wma|wmv|asf|asx|mpg|mpeg)\".*\<\/a\>\]/i", "<script>doc_write(obj_movie('$1://$2.$3'));</script>", $str);
		    $str = preg_replace("/\[\<a\s*href\=\"(http|https|ftp)\:\/\/([^[:space:]]+)\.(gif|png|jpg|jpeg|bmp)\"\s*[^\>]*\>[^\s]*\<\/a\>\]/i", "<img src='$1://$2.$3' id='target_resize_image[]' onclick='image_window(this);' border='0'>", $str);
?>
			<span><?=$str?></span>
			<span><?=$list[$i][icon_new];?></span>

			<div class="btns">
<?				if (!$list[$i][is_blind] && $list[$i][is_edit]) : ?>
					<a onclick="comment_box('<?=$comment_id?>', 'cu');"><img src='<?=$board_skin_path?>/img/co_btn_modify.gif' border=0 align=absmiddle alt='수정'></a>
<?				endif;
				if ($list[$i][is_reply]) : ?>
					<a onclick="comment_box('<?=$comment_id?>', 'c'); this.blur();"><img src="<?=$board_skin_path?>/img/co_btn_reply.gif" border=0 align=absmiddle alt="답변"></a>
<?				endif;
				if ($list[$i][is_del]) : ?>
					<a onclick="comment_delete('<?=$list[$i][del_link]?>');"><img src='<?=$board_skin_path?>/img/co_btn_delete.gif' border=0 align=absmiddle alt='삭제'></a>
<?				endif; ?>
			</div> <? //-- end btns ?>
		</div>	<? //-- end comment_bottom ?>

		<div style="clear:both;">
			<span id='edit_<?=$comment_id?>' style='display:none;'></span><!-- 수정 -->
		    <span id='reply_<?=$comment_id?>' style='display:none;'></span><!-- 답변 -->

			<input type=hidden id='secret_comment_<?=$comment_id?>' value="<?=strstr($list[$i][wr_option],"secret")?>">
			<textarea id='save_comment_<?=$comment_id?>' style='display:none;'><?=get_text($list[$i][content1], 0)?></textarea>
		</div>
	</div> <!-- comment_box -->
<?	endfor; ?>
<? if(!$sw) : ?>
	<div style="text-align:center; padding:10px; font:normal 12px '맑은 고딕'; color:#C7C7C7;">첫 댓글을 남겨주세요</div>
<? endif; ?>
</div> <!-- end commentContents -->
<?
$comment_pages = str_replace("처음", "<img src='$board_skin_path/img/page_begin.gif' border='0' align='absmiddle' title='처음'>", $comment_pages);
$comment_pages = str_replace("이전", "<img src='$board_skin_path/img/page_prev.gif' border='0' align='absmiddle' title='이전'>", $comment_pages);
$comment_pages = str_replace("다음", "<img src='$board_skin_path/img/page_next.gif' border='0' align='absmiddle' title='다음'>", $comment_pages);
$comment_pages = str_replace("맨끝", "<img src='$board_skin_path/img/page_end.gif' border='0' align='absmiddle' title='맨끝'>", $comment_pages);
?>
<div style="margin:5px 0 5px 0;"><?=$comment_pages?></div>
</div>
<!-- 코멘트 리스트 -->
<? if ($is_comment_write) { ?>
<!-- 코멘트 입력 -->
<div id=comment_write style="display:none;">
<form name="fviewcomment" method="post" action="./write_comment_update.php" onsubmit="return fviewcomment_submit(this);" autocomplete="off" style="margin:0px;">
<input type=hidden name=w           id=w value='c'>
<input type=hidden name=bo_table    value='<?=$bo_table?>'>
<input type=hidden name=wr_id       value='<?=$wr_id?>'>
<input type=hidden name=comment_id  id='comment_id' value=''>
<input type=hidden name=sca         value='<?=$sca?>' >
<input type=hidden name=sfl         value='<?=$sfl?>' >
<input type=hidden name=stx         value='<?=$stx?>'>
<input type=hidden name=spt         value='<?=$spt?>'>
<input type=hidden name=page        value='<?=$page?>'>		<? //-- 게시판 페이지 ?>
<input type=hidden name=cpage       value='<?=$cpage?>'>	<? //-- 댓글 페이지 ?>
<input type=hidden name=cwin        value='<?=$cwin?>'>
<input type=hidden name=is_good     value=''>

	<table class="reply_box" cellpadding="0" cellspacing="0"><tr><td colspan="2"><input type=checkbox id="wr_secret" name="wr_secret" value="secret">비밀글
<?		if ($is_guest) : ?>
			이름 <INPUT type=text maxLength=20 size=10 name="wr_name" itemname="이름" required class=ed>
            패스워드 <INPUT type=password maxLength=20 size=10 name="wr_password" itemname="패스워드" required class=ed>
            <? if ($is_guest) : ?>
	            <img src="<?=$g4[path]?>/zm.extend/captcha/captcha.php" width="120" id="captcha" /><a href="#" onclick="document.getElementById('captcha').src='<?=$g4[path]?>/zm.extend/captcha/captcha.php?'+Math.random(); document.getElementById('captcha-form').focus();" id="change-image"><img src="<?=$g4[path]?>/zm.extend/captcha/refresh.gif" title="새로고침"></a>
	            <input title="왼쪽의 글자를 입력하세요." type="input" name="wr_key" size="10" itemname="자동등록방지" required class=ed>
            <? endif; ?>
        <? endif; ?>
	</td></tr><tr><td class="txt_left">
		<textarea id="wr_content" name="wr_content" rows=4 itemname="내용" required <? if ($comment_min || $comment_max) { ?> onkeyup="check_byte('wr_content', 'char_count'); chk_size();" <?}?> style='width:95%; word-break:break-all;' class=tx></textarea>
	</td><td class="txt_right"><input type="image" src="<?=$board_skin_path?>/img/co_btn_write.gif" border=0 accesskey='s'></td></tr>
<?		if ($comment_min || $comment_max) : ?>
	<tr><td colspan="2">
		<div id="max_byte"><span id="char_count"></span> / <span id="max_lenth"><?=$board[bo_comment_max]?></span> byte<span id="max_over_msg"></span></div>
			<script> check_byte('wr_content', 'char_count'); </script>
	</td></tr>
<?		endif; ?>
	</table> <? //-- end reply_box ?>
</form>
</div>




<script type="text/javascript">
var save_before = '';
var save_html = document.getElementById('comment_write').innerHTML;

//-- textarea 라인 수 조절
$(function(){
	var org_content_rows	= $("#wr_content").attr("rows");
	org_content_rows	= Number(org_content_rows);

    $("#wr_content").keydown(function(e){
		if(e.keyCode == 13) {
			var txtarea	= $("#wr_content").val();
			var temp		= txtarea.split("\n");
			var linecnt		= temp.length;
			if(linecnt > org_content_rows-1) {
				$("#wr_content").attr("rows", linecnt+1);
				fix_doc_height();
			}
		}
	});
});

function good_and_write()
{
    var f = document.fviewcomment;
    if (fviewcomment_submit(f)) {
        f.is_good.value = 1;
        f.submit();
    } else {
        f.is_good.value = 0;
    }
}

function fviewcomment_submit(f)
{
    var pattern = /(^\s*)|(\s*$)/g; // \s 공백 문자

    f.is_good.value = 0;

    var subject = "";
    var content = "";
    $.ajax({
        url: "<?=$board_skin_path?>/ajax.filter.php",
        type: "POST",
        data: {
            "subject": "",
            "content": f.wr_content.value
        },
        dataType: "json",
        async: false,
        cache: false,
        success: function(data, textStatus) {
            subject = data.subject;
            content = data.content;
        }
    });

    if (content) {
        alert("내용에 금지단어('"+content+"')가 포함되어있습니다");
        f.wr_content.focus();
        return false;
    }

    // 양쪽 공백 없애기
    var pattern = /(^\s*)|(\s*$)/g; // \s 공백 문자
    document.getElementById('wr_content').value = document.getElementById('wr_content').value.replace(pattern, "");
    if (char_min > 0 || char_max > 0)
    {
        check_byte('wr_content', 'char_count');
        var cnt = parseInt(document.getElementById('char_count').innerHTML);
        if (char_min > 0 && char_min > cnt)
        {
            alert(char_min+"자 이상으로 작성 해 주세요.");
            return false;
        } else if (char_max > 0 && char_max < cnt)
        {
            alert(char_max+"자 이하로 작성 해 주세요.");
            return false;
        }
    }
    else if (!document.getElementById('wr_content').value)
    {
        alert("내용을 입력하여 주십시오.");
        return false;
    }

    if (typeof(f.wr_name) != 'undefined')
    {
        f.wr_name.value = f.wr_name.value.replace(pattern, "");
        if (f.wr_name.value == '')
        {
            alert('이름이 입력되지 않았습니다.');
            f.wr_name.focus();
            return false;
        }
    }

    if (typeof(f.wr_password) != 'undefined')
    {
        f.wr_password.value = f.wr_password.value.replace(pattern, "");
        if (f.wr_password.value == '')
        {
            alert('패스워드가 입력되지 않았습니다.');
            f.wr_password.focus();
            return false;
        }
    }

    if (!check_kcaptcha(f.wr_key)) {
        return false;
    }

    return true;
}

//-- 글자 크기 초과 하는지 체크
function chk_size(){
	var ch_cnt	= parseInt($("#char_count").html());
	if(ch_cnt > char_max)	$("#max_over_msg").html("글자 수를 초과 하였습니다.");
	else					$("#max_over_msg").html("");
}

function comment_box(comment_id, work)
{
    var el_id;
    // 코멘트 아이디가 넘어오면 답변, 수정
    if (comment_id)
    {
        if (work == 'c')
            el_id = 'reply_' + comment_id;
        else
            el_id = 'edit_' + comment_id;
    }
    else
        el_id = 'comment_write';

    if (save_before != el_id)
    {
        if (save_before)
        {
            document.getElementById(save_before).style.display = 'none';
            document.getElementById(save_before).innerHTML = '';
        }

        document.getElementById(el_id).style.display = '';
        document.getElementById(el_id).innerHTML = save_html;
        // 코멘트 수정
        if (work == 'cu')
        {
            document.getElementById('wr_content').value = document.getElementById('save_comment_' + comment_id).value;
            if (typeof char_count != 'undefined')
                check_byte('wr_content', 'char_count');
            if (document.getElementById('secret_comment_'+comment_id).value)
                document.getElementById('wr_secret').checked = true;
            else
                document.getElementById('wr_secret').checked = false;
        }

        document.getElementById('comment_id').value = comment_id;
        document.getElementById('w').value = work;

        save_before = el_id;
    }

    if (typeof(wrestInitialized) != 'undefined')
        wrestInitialized();

    //jQuery(this).kcaptcha_load();
    if (comment_id && work == 'c')
        $.kcaptcha_run();
}

function comment_delete(url)
{
    if (confirm("이 코멘트를 삭제하시겠습니까?")) location.href = url;
}

comment_box('', 'c'); // 코멘트 입력폼이 보이도록 처리하기위해서 추가 (root님)
</script>
<? } ?>

<script language="javascript">
//-- ziumsoft. 수정 금지 --------------------------------------------------------------------------
function zm_board_vote(mode, good, botable, wrid) {
	var		sdata, idcomm;
	$.ajax({
		url		: "<?=$g4[path]?>/bbs/zm.good.php",
		type	: "GET",
		data	: "mode=" + mode + "&good=" + good + "&bo_table=" + botable + "&wr_id=" + wrid,
		success	: function(data) {
			sdata	= data.split("/");
			if(sdata[0] == "good")	{
				idcomm	= "#good_" + sdata[2];
				$(idcomm).html(sdata[1]);
			}else
				alert(data);
		}
	});
}

function open_report(t, r) {
	window.open("./zm.police.php?bo_table="+bo_table+"&wrid="+r+"&report=bbs", "police", "width=600, height=500, toolbar=0, scrollbars=0");
};
</script>